﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace QuickNASM
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void menuCreateToolStripMenuItem_Click(object sender, EventArgs e)
        {
            CreateFile();
        }

        private void menuOpenToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFile();
        }

        private void menuSaveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Save();
        }

        private void menuSaveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {

        }

        private void menuSaveAllToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SaveAs();
        }

        private void menuExitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            CloseForm();
        }

        private void menuUndoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Undo();
        }

        private void menuRedoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Redo();
        }

        private void menuCutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            CutText();
        }

        private void menuCopyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            CopyText();
        }

        private void menuPasteToolStripMenuItem_Click(object sender, EventArgs e)
        {
            PasteText();
        }

        private void menuDeleteToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DeleteText();
        }

        private void menuSelectAllToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SelectAllText();
        }

        private void menuBuildToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Build();
        }

        private void menuBuildAndRunToolStripMenuItem_Click(object sender, EventArgs e)
        {
            BuildAndRun();
        }

        private void menuAssembleToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Assemble();
        }

        private void menuLinkToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Link();
        }

        private void menuOpenProjectDirectoryToolStripMenuItem_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("explorer", Environment.CurrentDirectory);
        }

    }
}
